Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.utils
Class HexBin

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.HexBin

public final class HexBin
extends java.lang.Object

format validation This class encodes/decodes hexadecimal data

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: HexBin.java,v 1.7 2001/05/29 22:19:02 neilg Exp $
Author:
  Jeffrey Rodriguez

Constructor Summary
`HexBin()`

Method Summary
`static byte[]` | `decode(byte[] binaryData)`
`static byte[]` | `encode(byte[] binaryData)` array of byte to encode
`static int` | `getDecodedDataLength(byte[] hexData)`
`static boolean` | `isHex(java.lang.String isValidString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBin

    public HexBin()

Method Detail

### isHex

    public static boolean isHex(java.lang.String isValidString)

### encode

    public static byte[] encode(byte[] binaryData)

  array of byte to encode

  Parameters:
    `binaryData` -
  Returns:
    return encode binary array

### decode

    public static byte[] decode(byte[] binaryData)

### getDecodedDataLength

    public static int getDecodedDataLength(byte[] hexData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference